
Name:    plasmate
Summary: IDE tailored for development of Plasma components
Version: 1.0
Release: 9%{?dist}

# for (GPLv2 or GPLv3) KDE e.V. may determine that future GPL versions are accepted
License: BSD and (GPLv2 or GPLv3) and GPLv2+
Url:     https://projects.kde.org/projects/extragear/sdk/plasmate
Source0: http://download.kde.org/stable/plasmate/%{version}%{?pre:-%{pre}}/src/plasmate-%{version}%{?pre:-%{pre}}.tar.gz

## upstream patches
Patch101: 0001-update-KAboutData.patch

# includes some non-compilable python templates
# not sure what's up with that. -- rex
%define _python_bytecompile_errors_terminate_build 0

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= 4.10
BuildRequires: kdepimlibs-devel
BuildRequires: git-core
BuildRequires: gpgme-devel
BuildRequires: pkgconfig(libattica)
BuildRequires: pkgconfig(QtWebKit)

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}
# plasmoidviewer moved here from kde-workspace-4.9
Conflicts: kde-workspace < 4.10


%description
A small IDE tailored for development of Plasma components, 
such as Widgets, Runners, Dataengines.


%prep
%setup -q -n plasmate-%{version}%{?pre:-%{pre}}

%patch101 -p1 -b .0001


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

## unpackaged files
rm -rfv %{buildroot}%{_includedir}/


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/plasmate.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%files
%doc COPYING
%{_kde4_bindir}/kwin-windowswitcherpreviewer
#  GPLv2 or GPLv3 (KDE e.V.)
%{_kde4_bindir}/plasma-remote-widgets-browser
# GPLv2+
%{_kde4_bindir}/plasmaengineexplorer
%{_kde4_bindir}/plasmakconfigxteditor
%{_kde4_bindir}/plasmaremoteinstaller
# GPLv2 or GPLv3 (KDE e.V.)
%{_kde4_bindir}/plasmate
# GPLv2+
%{_kde4_bindir}/plasmawallpaperviewer
# BSD
%{_kde4_bindir}/plasmoidviewer
%{_kde4_libdir}/kde4/plasma_containment_studiopreviewer.so
%{_kde4_datadir}/applications/kde4/plasmate.desktop
%{_kde4_configdir}/plasmate.knsrc
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_appsdir}/plasmate/
%{_kde4_datadir}/kde4/services/plasma-containment-studiopreviewer.desktop
%{_mandir}/man1/plasmaengineexplorer.1*
%{_mandir}/man1/plasmoidviewer.1*


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.0-8
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 14 2013 Rex Dieter <rdieter@fedoraproject.org> 1.0-4
- License: BSD and (GPLv2 or GPLv3) and GPLv2+

* Thu Mar 14 2013 Rex Dieter <rdieter@fedoraproject.org> 1.0-3
- use %%cmake_kde4
- Conflicts: kde-workspace < 4.10

* Fri Mar 08 2013 Rex Dieter <rdieter@fedoraproject.org> 1.0-2
- pull in upstream patch to correct KAboutData

* Tue Mar 05 2013 Rex Dieter <rdieter@fedoraproject.org>  1.0-1
- 1.0

* Fri Feb 08 2013 Rex Dieter <rdieter@fedoraproject.org> 0.1-0.2.beta1
- first try

